DELETE
/api/v1/apis/token/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/apis/token/?token_name=api_automation&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/apis/token/", params={"token_name": "api_automation", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/apis/token/");url.search = new URLSearchParams({ token_name: "api_automation", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”token_name
required
string
Name of the API token to delete
Example
api_automationapikey
required
string
API key used to authenticate the delete token request
Example
<API_KEY>location
required
string
Specifies the location identifier for the API token to delete.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code returned by the delete operation
integer
data
object
token_name
Name of the deleted API token
string
access_name
Array<string>
api_key
API token identifier
string format: uuid
auth_token
JWT authentication token associated with the deleted API token
string
created_at
Human-readable relative timestamp indicating when the token was created
string
errors
object
message
Confirmation message indicating the token was deleted
string
Example
{ "code": 200, "data": { "token_name": "api_automation", "access_name": [ "READ", "WRITE" ], "api_key": "uuid-string", "auth_token": "example-jwt-string", "created_at": "21 Days ago" }, "message": "Token has been deleted successfully"}